import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientArgsObjectSchema as PatientArgsObjectSchema } from './PatientArgs.schema';
import { UserArgsObjectSchema as UserArgsObjectSchema } from './UserArgs.schema'

const makeSchema = () => z.object({
  patient: z.union([z.boolean(), z.lazy(() => PatientArgsObjectSchema)]).optional(),
  user: z.union([z.boolean(), z.lazy(() => UserArgsObjectSchema)]).optional()
}).strict();
export const CommunicationIncludeObjectSchema: z.ZodType<Prisma.CommunicationInclude> = makeSchema() as unknown as z.ZodType<Prisma.CommunicationInclude>;
export const CommunicationIncludeObjectZodSchema = makeSchema();
